import db from '../db.js';

class UserService {
    async add(username, password) {
        return (await db.query("INSERT INTO users (username, password) VALUES ($1, $2) RETURNING id", [username, password])).rows[0].id;
    }
    
    async get_by_username(username) {
        return (await db.query("SELECT *  FROM users WHERE username = $1", [username])).rows[0];
    }
}

export default new UserService();